﻿using LDBproject.Entities.Enums;

namespace LDBproject.Entities;

public class LibrarianCard
{
    public int CardID { get; private set; }

    public string FIO { get; private set; }

    public Genres GenreMask { get; private set; }

    public static LibrarianCard AddWorker(
        int cardIndex, string fullName, Genres genre)
    {
        return new LibrarianCard
        {
            CardID = cardIndex,
            FIO = fullName,
            GenreMask = genre
        };
    }
}
