﻿namespace LDBproject.Entities;

public class UpdateC
{
    public int ID { get; private set; }

    public int CardID { get; private set; }

    public int LibrarianID { get; private set; }

    public DateTime LastUpdate { get; private set; }

    public DateTime UpdBoundary { get; private set; }

    public string Note { get; private set; }

    public static UpdateC CustomerUpd(
            int cardIndex, int librIndex, DateTime updDate, DateTime updToDate, string note)
    {
        return new UpdateC
        {
            CardID = cardIndex,
            LastUpdate = updDate,
            LibrarianID = librIndex,
            UpdBoundary = updToDate,
            Note = note
        };
    }
}
