﻿using LDBproject.Entities;

namespace LDBproject.Repositories;

public interface ICustomerCardsRep
{
    IEnumerable<CustomerCard> GetCards();

    CustomerCard GetCardByID(int id);

    void AddCard(CustomerCard card);

    void UpdateCard(CustomerCard card);

    void DeleteCard(int id);
}
