﻿using LDBproject.Entities;

namespace LDBproject.Repositories;

public interface ILibrarianRep
{
    IEnumerable<LibrarianCard> GetCards();

    LibrarianCard GetCardByID(int id);

    void AddCard(LibrarianCard card);

    void ChangeCardInfo(LibrarianCard card);

    void DeleteCard(int id);
}
