﻿namespace LDBproject.Entities;

public class Registration
{
    public int ID { get; private set; }

    public int OrderID { get; private set; }

    public int BookID { get; private set; }

    public string Note { get; private set; }

    public static Registration OrderReg(
        int orderIndex, int bookIndex, string notes)
    {
        return new Registration
        {
            OrderID = orderIndex,
            BookID = bookIndex,
            Note = notes
        };
    }
}
